RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1206608 - [RFE] Client should configure chrony in favor of ntpd when available
Summary: [RFE] Client should configure chrony in favor of ntpd when available
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks: 1496686
TreeView+ depends on / blocked
 
Reported: 2015-03-27 13:49 UTC by Martin Kosek
Modified: 2022-03-13 13:56 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 10:28:59 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FREEIPA-7503 0 None None None 2021-12-10 14:35:38 UTC

Description Martin Kosek 2015-03-27 13:49:58 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/4669

Ticket #2974 updated server and client installers to detect configured chrony and act based on it:
* Server installer warns and disables chrony in favor of ntpd. This should not be changed as server needs to run NTP server, chrony is "just" client
* Client installers warns and skips ntpd configuration if not told otherwise

However, given that chrony is the preferred time synchronization client ([http://fedoraproject.org/wiki/Features/ChronyDefaultNTP source 1], [http://rhelblog.redhat.com/2014/08/20/precision-time-synchronization-network-latency/ source2]), the Client should be enhanced to instead configure chrony, if available. We may also change Requires on Client to chrony from ntpd.

Comment 1 Petr Vobornik 2015-04-01 10:13:11 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4963

Comment 2 Jan Pazdziora 2015-06-18 13:00:37 UTC
Based on bug 1211600 comment 5, new chrony packages will be able to use DNS SRV _ntp._udp records. It'd be good to take advantage of this new capability with the upcoming chrony support.

Comment 4 Petr Vobornik 2017-02-23 15:51:09 UTC
The bugzilla doesn't have high enough priority in comparison to other bugs/RFEs for 7.4. Moving to next release. Without sufficient justification it can be moved again later.

Also, upstream is considering to deprecate NTP configuration and let it be configured by tools like Ansible.

Comment 7 Tibor Dudlák 2018-05-07 11:44:25 UTC
Related to https://bugzilla.redhat.com/show_bug.cgi?id=1456863

Should be closed due to ntpd deprecation.

Comment 9 Tibor Dudlák 2018-05-09 07:45:41 UTC
This has been resolved upstream master:

* bfb544adfdc423fd383fdf7c86a9f6c497ae3750 Removes ntp from dependencies and behave as there is always -N option
* 0090a90ba2ed3b4cba1c86996b352828cc5403a7 Add dependency and paths for chrony
* ca9c4d70a0043152274dfbe7cbb1bb8a1465000a Replace ntpd with chronyd in installation
* fb28dfff93b382207635eaa776eb31f99b0f5b2f FreeIPA server is time synchronization client only
* 194518f11fde9d3a3bc449baa019bb536ac9cd31 Add --ntp-pool option to installers
* 5d9c749e830819e0e12bdd9388b6b0c2542cf906 Adding method to ipa-server-upgrade to cleanup ntpd
* 333acf1ab6dc710d05e1978f72775c77fbef00c7 Update man pages for FreeIPA client, replica and server install
* ece56ea69a24279d416ec2d6c13e06949001534a Removes NTP server role from servroles and description
* dba87a47a7df092a1044c116ef9e7590ebdc8b62 Remove NTP server role while upgrading
* 74c2b46cde5bd332bd2ea95854cdb6178c72857d Remove unnecessary option --force-chrony
* 878cbaa232145540f5db7559b2bc317f065f2636 Add enabling chrony daemon when not configured
* e279d891fe63043bfa6226c59525036670a464f6 Configure chrony with pool when server not set

Comment 11 Martin Kosek 2018-05-09 11:36:25 UTC
Related upstream page:
https://www.freeipa.org/page/V4/ntpd_deprecation/chronyd_support

Comment 19 Martin Kosek 2019-05-14 10:28:59 UTC
As noted in Bug 1463835, the RHEL-7 IdM behavior is not planned to be changed, it will still leverage ntpd. IdM in RHEL-8.0 contains the new behavior, leveraging chronyd.

Closing this RFE as WONTFIX for RHEL-7.x.

Comment 20 Jan Pazdziora 2019-05-14 13:40:42 UTC
Then it might be good to move this bugzilla back to RHEL 7. Currently it's against RHEL 8, making things confusing.

Comment 21 Tibor Dudlák 2019-05-15 08:22:57 UTC
I agree with Jan, moving back to RHEL7 as this RFE does not apply to RHEL8 with IPA 4.7.+, see: https://www.freeipa.org/page/Releases/4.7.0#Time_server_change_to_chronyd


Note You need to log in before you can comment on or make changes to this bug.